KRILLUP(1)

NAME
krillup - Krill Upgrade

SYNOPSIS

krillup [global-options] SUBCOMMAND [options]

DESCRIPTION

krillup is the Krill data migration tool.

GLOBAL OPTIONS

The available global options are:

-c <CONFIG>, --config <CONFIG>
    Provides the path to a file containing basic configuration. If this option is not given, Krill will try to use /etc/krill.conf. See krill.conf(5) for more about the format of the configuration file.

-h, --help
    Print some help information.

-V, --version
    Print version information.

SUBCOMMANDS

prepare

    Prepare a migration, leave current data unmodified

migrate

    Migrate data to different storage. Stop Krill before use!

    OPTIONS

-t <TARGET>, --target=<TARGET>

    The storage target as a URI string

SEE ALSO

krill(1), krill.conf(5), krillc(1), krillta(1)

Author
NLnet Labs

Copyright
2018–2026, NLnet Labs